PUBLICKEY(3R)

NAME
publickey, getpublickey, getsecretkey - get public or secret key

SYNOPSIS
#include <rpc/rpc.h>
#include <rpc/key_prot.h>

getpublickey(netname, publickey)
char netname[MAXNETNAMELEN+1];
char publickey[HEXKEYBYTES+1];

getsecretkey(netname, secretkey, passwd)
char netname[MAXNETNAMELEN+1];
char secretkey[HEXKEYBYTES+1];
char *passwd;

DESCRIPTION
These routines are used to get public and secret keys from the NIS database. getsecretkey() has an extra argument, passwd, which is used to decrypt the encrypted secret key stored in the database. Both routines return 1 if they are successful in finding the key, 0 otherwise. The keys are returned as NULL-terminated, hexadecimal strings. If the password supplied to getsecretkey() fails to decrypt the secret key, the routine will return 1 but the secretkey argument will be a NULL string (``'').

SEE ALSO
publickey(5)

RPC Programmer's Manual in